/// <reference types="cypress" />
/// <reference types="cypress" />
/// <reference types="cypress" />
import type { CypressType } from '@atlaskit/in-product-testing';
import { InProductTestPageObject } from '@atlaskit/in-product-testing';
import type { CardAppearance } from '@atlaskit/smart-card';
import type { EditorPageObject } from './Editor';
export declare class EditorSmartLinkPageObject extends InProductTestPageObject {
    protected cy: CypressType;
    private editor;
    constructor(cy: CypressType, editor: EditorPageObject);
    testIds: {
        viewSwitcher: string;
        displayUrlOption: string;
        displayInlineOption: string;
        displayCardOption: string;
        displayEmbedOption: string;
        linkUrl: string;
        linkLabel: string;
    };
    ariaLabels: {
        editLink: string;
        deleteLink: string;
        unlinkLink: string;
    };
    private getViewSwitcher;
    openViewSwitcher(): Cypress.Chainable<JQuery<HTMLElement>>;
    private getViewSwitcherOption;
    selectViewSwitcherOption(type?: CardAppearance | 'url'): Cypress.Chainable<JQuery<HTMLElement>>;
    insertSmartLinkByTyping(url: string): Cypress.Chainable<JQuery<HTMLElement>>;
    switchAfterInsert(type?: CardAppearance | 'url'): void;
    private getSmartLink;
    getEditLinkButton(): Cypress.Chainable<JQuery<HTMLElement>>;
    openEditLinkMenu(): Cypress.Chainable<JQuery<HTMLElement>>;
    changeLinkLabel(title: string, type?: CardAppearance | 'url'): void;
    changeLinkUrl(url: string, type?: CardAppearance | 'url'): void;
    private typeIntoLabelField;
    private typeIntoUrlField;
    deleteSmartLink(type?: CardAppearance | 'url'): void;
    private clickDeleteIcon;
    unlink(type?: CardAppearance | 'url'): void;
    private clickUnlinkIcon;
}
